import java.lang.reflect.Field;

public class Main {

	public static void main(String[] args) throws Exception {
		Person person = new Person("John", "Smith");
		Class<?> clazz = person.getClass();
		for (Field field : clazz.getDeclaredFields()) {
			field.setAccessible(true);
			if (field.isAnnotationPresent(JsonElement.class)) {
				JsonElement annotation = field.getAnnotation(JsonElement.class);
				System.out.println(field.getName() + " has annotation with key " + annotation.key());
			}
		}
	}
}
